API Reference for Marketo Engage

Member of List

GET /rest/v1/lists/{listId}/leads/ismember.json

Checks if leads are members of a given static list.

Operation ID
areLeadsMemberOfListUsingGET
Permissions
Read-Write Lead
Request format
application/json
Returns
ResponseOfListOperationOutputData

Parameters

Path 1

listId integer (int32) required

Id of the static list to check against

Query 1

id array of integer

Comma-separated list of lead ids to check

Request body

application/json · optional · ListOperationRequest · 2 properties

input array of LeadInputData required

List of leads for input

Model LeadInputData

id integer (int64) required

Unique integer id of a lead record

Responses

200 OK ResponseOfListOperationOutputData
errors array of Error required

Array of errors that occurred if the request was unsuccessful

Model Error

code string required

Error code of the error. See full list of error codes here

message string required

Message describing the cause of the error

moreResult boolean

Boolean indicating if there are more results in subsequent pages

nextPageToken string

Paging token given if the result set exceeded the allowed batch size

requestId string required

Id of the request made

result array of ListOperationOutputData required

Array of results for individual records in the operation, may be empty

Model ListOperationOutputData

id integer (int64) required

Unique integer id of a lead record

reasons array of Reason

List of reasons why an operation did not succeed. Reasons are only present in API responses and should not be submitted

Model Reason

code string required

Integer code of the reason

message string required

Message describing the reason for the status of the operation

status string

Status of the operation performed on the record

success boolean required

Whether the request succeeded

warnings array of Warning required

Array of warnings given for the operation

Model Warning

code integer (int32) required

Integer code of the warning

message string required

Message describing the warning

Generated example
{
  "errors": [
    {
      "code": "string",
      "message": "string"
    }
  ],
  "moreResult": false,
  "nextPageToken": "example-token",
  "requestId": "123",
  "result": [
    {
      "id": 123,
      "reasons": [
        {
          "code": "string",
          "message": "string"
        }
      ],
      "status": "string"
    }
  ],
  "success": false,
  "warnings": [
    {
      "code": 123,
      "message": "string"
    }
  ]
}

Referenced models

Generated from swagger-mapi.json. Generated examples are inferred from the schema; they are illustrative and may not be valid production payloads.

↑ ↓ to move, ↵ to open, esc to closeSee all results